$.fn.toggle = function( fn, fn2 ) {
    var args = arguments,guid = fn.guid || $.guid++,i=0,
    toggle = function( event ) {
      var lastToggle = ( $._data( this, "lastToggle" + fn.guid ) || 0 ) % i;
      $._data( this, "lastToggle" + fn.guid, lastToggle + 1 );
      event.preventDefault();
      return args[ lastToggle ].apply( this, arguments ) || false;
    };
    toggle.guid = guid;
    while ( i < args.length ) {
      args[ i++ ].guid = guid;
    }
    return this.click( toggle );
  };
//--
fontSize();
$(window).resize(function(){
	fontSize();
	});
function fontSize(){
	var size;
	var winW=$(window).width();
	if(winW<=1740 && winW>800){
		size=Math.round(winW/17.4);
	}else if(winW<=800){
		size=Math.round(winW/7.5);
		if(size>65){
			size=65;
			}
	}else{
		size=100;
		}
	$('html').css({
		'font-size':size+'px'
		})
	}
//--
$(function(){
	//--
	$('.headDiv').find('.lan').hover(
	   function(){
	   	   $(this).addClass('on');
		   $(this).find('dl').slideDown(300);
		   },
	   function(){
	   	   $(this).removeClass('on');
		   $(this).find('dl').slideUp(300);
		   }
	)
	//--
	var links = $('.nav').find('a'),
        navon = links.filter('.aNow'),
        link  = navon;
	$('.sNavA').each(function (i) {
        $(this).hover(
		   function () {
//			   $('.sNav').eq(i).css('left',$(this).offset().left);
		       $('.sNav').eq(i).addClass('on');
		       $('.nav').find('a').removeClass('aNow');
		       $(".headDiv").addClass('hov'); 
		   },
		   function () {
			   $('.sNavA').eq(i).removeClass('aNow1');
		       $('.sNav').removeClass('on');
		       link = navon.addClass('aNow');
		   }
		)
    })
    //--
    $('.sNav').each(function (i) {
        $(this).hover(
		   function () {
			   $('.headDiv').addClass('hov');
		       $('.sNavA').eq(i).addClass('aNow1');
		       $('.nav').find('a').removeClass('aNow');
		       $(this).addClass('on');
		   },
		   function () {
			   $('.headDiv').removeClass('hov');
		       $('.sNavA').removeClass('aNow1');
		       $(this).removeClass('on');
		       link = navon.addClass('aNow');
		   }
		)
	})
	//--
	$('.topA a').click(function(){
		$('body,html').animate({scrollTop: 0}, 500);
		})
	//--
	$('.navIco').click(function(){
		$('.navLayer').animate({right: "0",width:"100%"}, 500);
		})
	$('.navLayer').find('.closeBtn').click(function(){
		$('.navLayer').animate({right: "-100%",width:0}, 500);
		$('.navLayer').find('a').removeClass('aNow');
		$('.navLayer').find('.list').hide();
		})
	//--
	$(".subNav1").click(function(){
		$(this).toggleClass("currentDt").siblings(".subNav1").removeClass("currentDt")
		$(this).next(".navContent").slideToggle(300).siblings(".navContent").slideUp(500)
	})
	//--
	$('.footDiv').find('.links').hover(
	   function(){
		   $(this).find('dl').stop(true,true).slideDown(300);
		   },
	   function(){
		   $(this).find('dl').stop(true,true).slideUp(300);
		   }
	)
	//--
	$('.tabContentDiv').find('.tabContent:first').show();
	$('.tab').each(function(i){
		$(this).find('li').each(function(ii){
			$(this).hover(
			function(){
				$('.tab').eq(i).find('li').removeClass('liNow');
				$(this).addClass('liNow');
				$('.tabContentDiv').eq(i).find('.tabContent').hide();
				$('.tabContentDiv').eq(i).find('.tabContent').removeClass('on');
				$('.tabContentDiv').eq(i).find('.tabContent').eq(ii).addClass('on');
				$('.tabContentDiv').eq(i).find('.tabContent').eq(ii).show();
				},
			function(){}	
				)
			})
		})
	//--
	$('.tabContentDiv2').find('.tabContent2:first').show();
	$('.tab2').each(function(i){
		$(this).find('li').each(function(ii){
			$(this).click(
			function(){
				$('.tab2').eq(i).find('li').removeClass('liNow');
				$(this).addClass('liNow');
				$('.tabContentDiv2').eq(i).find('.tabContent2').hide();
				$('.tabContentDiv2').eq(i).find('.tabContent2').eq(ii).show();
				}
				)
			})
		})
	//--
	$('.newShow .content').find('img').css('max-width', '100%');
    $('.newShow .content').find('img').css('height', 'auto');
	$('.newShow .content').find('input').css('max-width', '100%');
    $('.newShow .content').find('input').css('height', 'auto');
    //--手机二级导航下拉
    $('.sideTitleTel').each(function(i){
        function showNav(selectObj) {   //展开效果
            $('.sideTitleTel').children(".sideTitleNav").slideUp(200);
            selectObj.children(".sideTitleNav").slideDown(200);
            selectObj.find('.con').addClass('on');
        }  
        function hideNav(selectObj){    //关闭效果
            selectObj.children(".sideTitleNav").slideUp(200);
            selectObj.find('.con').removeClass('on');
        }
        function hideAllNav(){
            $('.sideTitleTel .sideTitleNav').slideUp(200);
            $('.sideTitleTel').find('.con').removeClass('on');
        };

        $(this).children('.con').click(function(){
            var index = $(this).parent().index();
            var selectObj = $(this).parent();
            $(this).next().is(":hidden")?showNav(selectObj):hideNav(selectObj);
        });
        $("body").click(function(i){ 
            !$(i.target).parents(".sideTitleTel").first().is($(".sideTitleTel")) ? hideAllNav():"";
        });

    });
	//下拉通用
	$('.select').each(function(i){
		function showFn(selectObj) {	//展开效果
			// 把其他的下拉收起
			$('.select').children("dd").slideUp(200);
			selectObj.children("dd").slideDown(200);
			selectObj.addClass('on');
		}  
		function hideFn(selectObj){    //关闭效果
			selectObj.children("dd").slideUp(200);
			selectObj.removeClass('on');
		}
		function hideAll(){
			$('.select dd').slideUp(200);
		};

		$(this).children('dt').click(function(){
			var index = $(this).parent().index();
			var selectObj = $(this).parent();
			$(this).next().is(":hidden")?showFn(selectObj):hideFn(selectObj);
		});
		$(this).children('dd').find("li").click(function(){   
			var index = $(this).closest('.select').index();
			var dataId=$(this).attr('data-id');
			var selectObj = $(this).closest('.select');
			$(this).closest('.select').children("dt").find('a').html($(this).html());
			$(this).closest('.select').children("dt").find('a').attr('data-id',dataId);
			hideFn(selectObj);
		});
		$("body").click(function(i){ 
			!$(i.target).parents(".select").first().is($(".select")) ? hideAll():"";
		});

	});
	//--

})
	
$(function(){
    if ($(".wow").length) {
        if (!(/msie [6|7|8|9]/i.test(navigator.userAgent))) {
            var wow = new WOW({
                boxClass: 'wow',
                animateClass: 'animated',
                offset: 50,
                mobile: true,
                live: true

            });
            wow.init();
        };
    }
})

// 搜索显示隐藏
function onPcInput(e){
    if($(e).hasClass('right-icon')){
        $('.head-search').fadeIn(300);
    }else if($(e).hasClass('box-hiden')){
        $('.head-search').fadeOut(300);
    }
}